Training
Optimizer step
Apply accumulated gradients to the LoRA weights using the Adam optimizer. Poll the returned request identifier for the result.
Header parameters
Foundry-Features
enum
required
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Path parameters
sessionId
string
required
Identifier of the fine-tuning session whose weights will be updated.
Query parameters
api-version
string
required
The API version to use for this operation.
Request Body
Adam optimizer configuration for applying accumulated gradients.
adam_params
SessionFineTuning.AdamParams
required
Adam optimizer hyper-parameters.
learning_rate
number
Nonnegative learning rate. If omitted, the service defaults to 0.0001.
beta1
number
Adam first-moment coefficient, from zero inclusive to one exclusive. If omitted, the service defaults to 0.9.
beta2
number
Adam second-moment coefficient, from zero inclusive to one exclusive. If omitted, the service defaults to 0.95.
eps
number
Positive numerical stability floor. If omitted, the service defaults to 0.000000000001.
weight_decay
number
Nonnegative L2 weight-decay coefficient. If omitted, the service defaults to 0.0.
Responses
The request has succeeded.
Body
request_id
string
required
Request identifier to pass to the session's request-status endpoint.
status
enum
required
Indicates that the request has not yet completed.
session_id
string
required
Identifier of the session processing this request.
Request
POST /fine_tuning/sessions/{sessionId}/optim_step HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json